com.rscja.team.qcom.service

## Class BLEService_qcom

- java.lang.Object
- - com.rscja.team.qcom.service.BLEService_qcom

-     public class BLEService_qcom
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `BLEService_qcom.BluetoothStateReceiver`
    `static interface` | `BLEService_qcom.IDataCallBack`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_DATA_AVAILABLE`
    `static java.lang.String` | `ACTION_GATT_DISCONNECTED`
    `static java.lang.String` | `ACTION_GATT_SERVICES_DISCOVERED`
    `static java.lang.String` | `ACTION_SEARCH_DEVICES`
    `static java.util.UUID` | `BLE_UUID_GAP`
    `static java.util.UUID` | `BLE_UUID_GAP_CHARACTERISTIC_DEVICE_NAME`
    `static java.lang.String` | `BT_DEVICE`
    `static java.lang.String` | `BT_RECORD`
    `static java.lang.String` | `BT_RSSI`
    `static java.util.UUID` | `CCCD`
    `static java.lang.String` | `DEVICE_DOES_NOT_SUPPORT_UART`
    `static java.lang.String` | `EXTRA_DATA`
    `static boolean` | `isRead`
    `static boolean` | `isWrite`
    `static java.util.UUID` | `RX_CHAR_UUID`
    `static java.util.UUID` | `RX_SERVICE_UUID`
    `static java.util.UUID` | `TX_CHAR_UUID`
    `static java.util.UUID` | `VERSION_FIRMWARE_UUID`
    `static java.util.UUID` | `VERSION_HARDWARE_UUID`
    `static java.util.UUID` | `VERSION_SOFTWARE_UUID`
    `static java.util.UUID` | `VERSION_UUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BLEService_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `connect(java.lang.String address)`
    `boolean` | `connect(java.lang.String address, ConnectionStatusCallback btStatusCallback)`
    `void` | `disconnect()`
    `void` | `enableTXNotification()`
    `boolean` | `free()`
    `java.lang.String` | `getBluetoothDeviceAddress()`
    `ConnectionStatus` | `getBTConnectStatus()`
    `java.lang.String` | `getHardwareVersion()`
    `java.util.HashMap<java.lang.String,java.lang.String>` | `getVersion()`
    `boolean` | `initialize(android.content.Context context)`
    `boolean` | `readCharacteristic(android.bluetooth.BluetoothGattCharacteristic characteristic)`
    `boolean` | `setBtName(java.lang.String name)`
    `void` | `setDataCallBack(BLEService_qcom.IDataCallBack dataCallBack)`
    `void` | `setStatusCallback(ConnectionStatusCallback btStatusCallback)`
    `void` | `startBTScan(ScanBTCallback scanBTCallback)`
    `void` | `stoptBTScan()`
    `boolean` | `writeRXCharacteristic(byte[] value, java.lang.String[] msg)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BT_RSSI

          public static final java.lang.String BT_RSSI

      See Also:
        Constant Field Values

    - #### BT_RECORD

          public static final java.lang.String BT_RECORD

      See Also:
        Constant Field Values

    - #### BT_DEVICE

          public static final java.lang.String BT_DEVICE

      See Also:
        Constant Field Values

    - #### isWrite

          public static boolean isWrite

    - #### isRead

          public static boolean isRead

    - #### ACTION_SEARCH_DEVICES

          public static final java.lang.String ACTION_SEARCH_DEVICES

      See Also:
        Constant Field Values

    - #### ACTION_GATT_DISCONNECTED

          public static final java.lang.String ACTION_GATT_DISCONNECTED

      See Also:
        Constant Field Values

    - #### ACTION_GATT_SERVICES_DISCOVERED

          public static final java.lang.String ACTION_GATT_SERVICES_DISCOVERED

      See Also:
        Constant Field Values

    - #### ACTION_DATA_AVAILABLE

          public static final java.lang.String ACTION_DATA_AVAILABLE

      See Also:
        Constant Field Values

    - #### EXTRA_DATA

          public static final java.lang.String EXTRA_DATA

      See Also:
        Constant Field Values

    - #### DEVICE_DOES_NOT_SUPPORT_UART

          public static final java.lang.String DEVICE_DOES_NOT_SUPPORT_UART

      See Also:
        Constant Field Values

    - #### CCCD

          public static final java.util.UUID CCCD

    - #### RX_SERVICE_UUID

          public static final java.util.UUID RX_SERVICE_UUID

    - #### RX_CHAR_UUID

          public static final java.util.UUID RX_CHAR_UUID

    - #### TX_CHAR_UUID

          public static final java.util.UUID TX_CHAR_UUID

    - #### BLE_UUID_GAP

          public static final java.util.UUID BLE_UUID_GAP

    - #### BLE_UUID_GAP_CHARACTERISTIC_DEVICE_NAME

          public static final java.util.UUID BLE_UUID_GAP_CHARACTERISTIC_DEVICE_NAME

    - #### VERSION_UUID

          public static final java.util.UUID VERSION_UUID

    - #### VERSION_FIRMWARE_UUID

          public static final java.util.UUID VERSION_FIRMWARE_UUID

    - #### VERSION_HARDWARE_UUID

          public static final java.util.UUID VERSION_HARDWARE_UUID

    - #### VERSION_SOFTWARE_UUID

          public static final java.util.UUID VERSION_SOFTWARE_UUID

  - ### Constructor Detail

    - #### BLEService_qcom

          public BLEService_qcom()

  - ### Method Detail

    - #### getBluetoothDeviceAddress

          public java.lang.String getBluetoothDeviceAddress()

    - #### free

          public boolean free()

    - #### initialize

          public boolean initialize(android.content.Context context)

    - #### setBtName

          public boolean setBtName(java.lang.String name)

    - #### getVersion

          public java.util.HashMap<java.lang.String,java.lang.String> getVersion()

    - #### getHardwareVersion

          public java.lang.String getHardwareVersion()

    - #### setStatusCallback

          public void setStatusCallback(ConnectionStatusCallback btStatusCallback)

    - #### connect

          public boolean connect(java.lang.String address,
                                 ConnectionStatusCallback btStatusCallback)

    - #### connect

          public boolean connect(java.lang.String address)

    - #### disconnect

          public void disconnect()

    - #### close

          public void close()

    - #### readCharacteristic

          public boolean readCharacteristic(android.bluetooth.BluetoothGattCharacteristic characteristic)

    - #### enableTXNotification

          public void enableTXNotification()

    - #### writeRXCharacteristic

          public boolean writeRXCharacteristic(byte[] value,
                                               java.lang.String[] msg)

    - #### startBTScan

          public void startBTScan(ScanBTCallback scanBTCallback)

    - #### setDataCallBack

          public void setDataCallBack(BLEService_qcom.IDataCallBack dataCallBack)

    - #### getBTConnectStatus

          public ConnectionStatus getBTConnectStatus()

    - #### stoptBTScan

          public void stoptBTScan()